name: phylum
description: Self-hosted cloud file browser
publish_to: 'none'
version: 0.3.0+30

environment:
  sdk: ^3.6.0

dependencies:
  flutter:
    sdk: flutter
  flutter_web_plugins:
    sdk: flutter
  collection:
  drift: ^2.19.1+1
  drift_flutter: ^0.2.1
  file_selector: ^1.0.3
  flutter_state_notifier:
  flutter_typeahead:
  background_downloader:
  hive_ce: ^2.10.0
  http:
  http_parser: 
  intl:
  logger:
  mime:
  offtheline:
    git:
      url: https://codeberg.org/shroff/offtheline.git
      ref: 4b3725b0e07e969a2722467537df5d489d7d9e1b
  open_file:
  package_info_plus:
  path:
  path_provider:
  permission_handler:
  printing:
  provider:
  receive_sharing_intent:
  share_plus:
  sqlite3: 
  state_notifier:
  super_clipboard:
  super_drag_and_drop:
  uri:
  web:
  meta: ^1.15.0
  cross_file: ^0.3.4+2

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0
  drift_dev: ^2.19.1
  build_runner: ^2.4.12

flutter:
  uses-material-design: true

  assets:
    - assets/images/logo.png

dependency_overrides:
  flutter_typeahead:
    git:
      url: https://github.com/shroff/flutter_typeahead.git
      ref: master
  flutter_keyboard_visibility_web:
    git:
      url: https://github.com/moshe5745/flutter_keyboard_visibility.git
      ref: b8393c50c483fa6fd16148d43dff454e6e845201
      path: flutter_keyboard_visibility_web